---
title: Intl.Locale.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/toString
tags:
  - Intl
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale.prototype.toString()</code></strong> returns the Locale's full <a href="https://www.unicode.org/reports/tr35/#Unicode_locale_identifier">locale identifier string</a>.</span></p>

<div>{{EmbedInteractiveExample("pages/js/intl-locale-prototype-tostring.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><em>locale</em>.toString()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>The <em>locale</em>'s Unicode locale identifier string.</p>

<h2 id="Description">Description</h2>

<p>The <code>Locale</code> object is a JavaScript representation of a concept Unicode locale identifier. Information about a particular locale (language, script, calendar type, etc.) can be encoded in a locale identifier string. To make it easier to work with these locale identifiers, the <code>Locale</code> object was introduced to JavaScript. Calling the <code>toString</code> method on a Locale object will return the identifier string for that particular Locale. The <code>toString</code> method allows <code>Locale</code> instances to be provided as an argument to existing <code>Intl</code> constructors, serialized in JSON, or any other context where an exact string representation is useful.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toString">Using toString</h3>

<pre class="brush: js">let myLocale = new Intl.Locale("fr-Latn-FR", {hourCycle: "h24", calendar: "gregory"});
console.log(myLocale.baseName); // Prints "fr-Latn-FR"
console.log(myLocale.toString()); // Prints "fr-Latn-FR-u-ca-gregory-hc-h24"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-Intl.Locale.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.Locale.toString")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Locale", "Intl.Locale")}}</li>
 <li>{{jsxref("Locale/baseName", "Intl.Locale.baseName")}}</li>
</ul>
